Backfill pipeline tables
Triggers a backfill for specified tables in the pipeline. Supports options for pre-backfill behavior (drop, truncate, or do nothing) and schema/database filtering.
curl --request POST \
--url https://api.artie.com/pipelines/{uuid}/backfill \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tableUUIDs": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"backfillFromDatabases": [
"<string>"
],
"backfillFromSchemas": [
"<string>"
],
"historyMode": true
}
'import requests
url = "https://api.artie.com/pipelines/{uuid}/backfill"
payload = {
"tableUUIDs": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"backfillFromDatabases": ["<string>"],
"backfillFromSchemas": ["<string>"],
"historyMode": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tableUUIDs: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
backfillFromDatabases: ['<string>'],
backfillFromSchemas: ['<string>'],
historyMode: true
})
};
fetch('https://api.artie.com/pipelines/{uuid}/backfill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
API key passed as a Bearer token in the Authorization header.
Path Parameters
Body
Destination handling before the backfill: empty string leaves existing data unchanged, truncate_table truncates the destination table, and drop_table drops it.
, truncate_table, drop_table UUIDs of the regular or history tables to backfill.
Optional source databases to backfill for regular-table backfills. Requires beforeBackfill to be the empty-string do-nothing option.
Optional source schemas to backfill for regular-table backfills. Requires beforeBackfill to be the empty-string do-nothing option.
When true, backfill the selected history tables instead of the regular tables.
Response
No Content
Was this page helpful?
